<?php


/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *
 * this file based on:
 *
 *	Lit - Shop: Version 0.2
 *	Author: Daniel Seelig
 *	Email: webdesign-seelig@gmx.de
 *	Homepage:http://www.lit-web.de
 *
 * This is a part of portretiert MxShop
 *
 * $Version: 1.0.2$
 * $Author: Michael Wei / comedi   http://www.mw-webservice.de  
 *          Toni Schlegel / Baldymani   http://www.Hate-on-Wheels.de  $
 * $Date: 2011/12/13 22:12$
 * 
 */



if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

// Variablen definieren
$module_name = basename(dirname(__FILE__));

// Sprachfile einbinden
mxGetLangfile($module_name);


// eigene Includes und Funktionen einbinden
require_once('modules/' . $module_name . '/includes/config.inc.php');
require_once('modules/' . $module_name . '/sess_prams.php');
require_once('modules/' . $module_name . '/includes/main.php');
require_once('modules/' . $module_name . '/includes/edits.php');
require_once('modules/' . $module_name . '/functions/function_klog.php');
require_once('modules/' . $module_name . '/functions/function_log.php');
require_once('modules/' . $module_name . '/functions/function_bild.php');
require_once('modules/' . $module_name . '/functions/function_quotes.php');
require_once('modules/' . $module_name . '/functions/function_urlopt.php');

// eigene Style einbinden
pmxHeader::add_style('modules/' . $module_name . '/style/style.css');

$sqlbefehl ="
			Select
				*
			From
				".$prefix."_shop_kunden
			Where
				id_kunde =".intval(k_logged_in())."
			";
$erg_kunde = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
$kunde = mysql_fetch_assoc($erg_kunde);

/*
--------------------------------------------------------------------------
	code um den kundennamen zu ndern
--------------------------------------------------------------------------
*/
if(isset($_POST['kn_edit']))
{
	//error handling starten
	$error = array();
	//variable zuweisen
	$k_nummer = (string)$_POST['k_nummer'];
	//prfen ob magich quotes on
	if(get_magic_quotes_gpc() && get_magic_quotes_runtime())
	{
		$k_nummer = stripslashes($k_nummer);
	}
	//prfen ob edit haken gestzt ist
	if(isset($_POST['kn_ok']) != 1)
	{
		$error['k_ok'] = ''._HACKTOP.'';
	}
	//k_name auf zeocheneingabe prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$k_nummer))
	{
		$error['k_name'] = ''._ERRORKDN.'';
	}
	//prfen ob der eingeben kundenname schon existiert
	//kundennamen auslesen zum abgleich
	$sqlbefehl ="
				Select
					k_nummer,
					Count(k_nummer) As k_anzahl
				From
					".$prefix."_shop_kunden
				Where
					k_nummer ='".mysql_real_escape_string($k_nummer)."'
				Group By
					k_nummer
				";
	$erg_kcont = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
	$k_controll = mysql_fetch_assoc($erg_kcont);
	//kundennamen vergleichen
	if($k_controll['k_anzahl'] > 0)
	{
		$error['num_vorh'] = ''._ERRORKDNR.'';
	}
	//wenn kein fehler dann kundennamen ndern
	if(!$error)
	{	
		$sqlbefehl ="
					Update
						".$prefix."_shop_kunden
					Set
						k_nummer ='".mysql_real_escape_string($k_nummer)."'
					Where
						id_kunde =".intval($_POST['id_kunde'])."
					";
		$res_kn = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
		header("Location: modules.php?name=" . $module_name . "&file=konto_edit&id_kunde=".intval($_POST['id_kunde'])."");
		exit();
	}
}
/*
--------------------------------------------------------------------------
	code um das kunden passwort zu ndern
--------------------------------------------------------------------------
*/
if(isset($_POST['pw_edit']))
{
	//error handling starten
	$error = array();
	//variablen zuweisen
	$pw1 = (string)$_POST['pw1'];
	$pw2 = (string)$_POST['pw2'];
	//prfen ob magich quotes on
	if(get_magic_quotes_gpc() && get_magic_quotes_runtime())
	{
		$pw1 = stripslashes($pw1);
		$pw2 = stripslashes($pw2);
	}
	//prfen ob edit haken gestzt ist
	if(isset($_POST['pw_ok']) != 1)
	{
		$error['k_ok'] = ''._HACKTOP.'';
	}
	//passwort 1 auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]{5,12}+)$#si",$pw1))
	{
		$error['pw1'] = ''._ERRORPWONE.'';
	}
	//passwort 1 auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]{5,12}+)$#si",$pw2))
	{
		$error['pw2'] = ''._ERRORPWTWO.'';
	}
	//prfen ob beide passwrter bereinstimmen
	if($pw1 != $pw2)
	{
		$error['pws'] = ''._ERRORPWKONTR.'';
	}
	//prfen ob das eingebene passwort schon existiert
	//passwrter auslesen zum abgleich
	$sqlbefehl ="
				Select
					k_pw,
					Count(k_pw) As k_pw
				From
					".$prefix."_shop_kunden
				Where
					k_pw ='".mysql_real_escape_string(md5($pw1))."'
				Group By
					k_pw
				";
	$erg_pw = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
	$pw_controll = mysql_fetch_assoc($erg_pw);
	//passwrter vergleichen
	if($pw_controll['k_pw'] > 0)
	{
		$error['name_vorh'] = ''._ERRORPWEX.'';
	}
	//keine fehler aufgetreten dann ndern
	if(!$error)
	{
		$sqlbefehl ="
					Update
						".$prefix."_shop_kunden
					Set
						k_pw ='".mysql_real_escape_string(md5($pw1))."'
					Where
						id_kunde =".intval($_POST['id_kunde'])."
					";
		$res_pw = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
		header("Location: modules.php?name=" . $module_name . "&file=konto_edit&id_kunde=".intval($_POST['id_kunde'])."");
		exit();
	}
}
/*
--------------------------------------------------------------------------
	code um restliche kundendaten zu ndern
--------------------------------------------------------------------------
*/
if(isset($_POST['ud_edit']))
{
	//error handling starten
	$error = array();
	//variablen zuweisen
	$email = (string)$_POST['email'];
	$adress = (string)$_POST['adress'];
	$plz = (string)$_POST['plz'];
	$ort = (string)$_POST['ort'];
    $kountry = (string)$_POST['kountry'];
	$tele = (string)$_POST['tele'];
	$anrede = (string)$_POST['anrede'];
	$v_name = (string)$_POST['v_name'];
	$n_name = (string)$_POST['n_name'];
	if(get_magic_quotes_gpc() && get_magic_quotes_runtime())
	{
		$email = stripslashes($email);
		$adress = stripslashes($adress);
		$plz = stripslashes($plz);
		$ort = stripslashes($ort);
        $kountry = stripslashes($kountry);
		$tele = stripslashes($tele);
		$anrede = stripslashes($anrede);
		$v_name = stripslashes($v_name);
		$n_name = stripslashes($n_name);
	}
	//prfen ob edit haken gestzt ist
	if(isset($_POST['ud_ok']) != 1)
	{
		$error['ud_ok'] = ''._HACKTOP.'';
	}
	//prfen der anrede auf zeichen
	if(!preg_match("#^([a-z]+)$#si",$anrede))
	{
		$error['anrede'] = ''._ERRORKDANRE.'';
	}
	//vornamen auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$v_name))
	{
		$error['vname'] = ''._ERRORKDVN.'';
	}
	//nachnamen auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$n_name))
	{
		$error['nname'] = ''._ERRORKDNN.'';
	}
	//anschrift auf zeichen prfen
	if(!preg_match("#^([0-9a-z \.\/_-]+)$#si",$adress))
	{
		$error['adress'] = ''._ERRORKDADRESS.'';
	}
	//plz auf zeichen und lnge prfen
	if(!preg_match("#[0-9]{4,5}#",$plz))
	{
		$error['plz'] = ''._ERRORKDPLZ.'';
	}
	//ortsangabe auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$ort))
	{
		$error['ort'] = ''._ERRORKDORT.'';
	}
    //Lnderangabe auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$kountry))
	{
		$error['ort'] = ''._ERRORKDCOONTRY.'';
	}
	//telefon auf zeichen und lnge prfen
	if(!empty($tele) && !preg_match("/^[0-9-()\s\/+.]*$/",$tele))
	{
		$error['tele'] = ''._ERRORKDTEL.'';
	}
	//wenn kein fehler dann daten ndern
	if(!$error)
	{
		$sqlbefehl ="
					Update
						".$prefix."_shop_kunden
					Set
						k_email ='".mysql_real_escape_string($email)."',
						k_anschrift ='".mysql_real_escape_string($adress)."',
						k_plz ='".mysql_real_escape_string($plz)."',
						k_ort ='".mysql_real_escape_string($ort)."',
                        k_kountry ='".mysql_real_escape_string($kountry)."',
						k_anrede ='".mysql_real_escape_string($anrede)."',
						v_name ='".mysql_real_escape_string($v_name)."',
						n_name ='".mysql_real_escape_string($n_name)."',
						k_tele ='".mysql_real_escape_string($tele)."'
					Where
						id_kunde =".intval($_POST['id_kunde'])."
					";
		$res_ud = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
		header("Location: modules.php?name=" . $module_name . "&file=konto_edit&id_kunde=".intval($_POST['id_kunde'])."");
		exit();
	}
}

/*
-----------------------------------------------------------------------------------
	HIER BEGINNT DIE AUSGABE
-----------------------------------------------------------------------------------
	include datei um script in PMX einzubinden
-----------------------------------------------------------------------------------
*/

include('header.php');

/*
----------------------------------------------------------------------------------
	Beginn der Shopausgabe
----------------------------------------------------------------------------------
*/

OpenTable();

echo '	<div id="center"> ';

/*
----------------------------------------------------------------------------------
	Header des Shops einbinden
----------------------------------------------------------------------------------
*/

require_once('shop_header.php');

/*
----------------------------------------------------------------------------------
	Shop - Content
----------------------------------------------------------------------------------
*/

echo '    <div id="navi_left"> ';

			include('cat_menu.php'); 
		
			include('wae_wahl.php'); 

			include('count_menu.php'); 
        
echo '	  </div>
	
	<div id="contend">
		<div class="contend_head">
		<div class="contend_head_left"></div>
		<div class="contend_head_right"></div>
			<h1 class="ch_text">'._KKZAEN.'</h1>
		</div>
			
		<div class="cont_feld"> '; 
		
		if(k_logged_in())
		{
			if(isset($_POST['kn_edit']) || isset($_POST['pw_edit']) || isset($_POST['ud_edit']))
			{
				if(count($error) > 0)
				{
					echo '<span class="mail_us_error">';
					echo ' <img src="'.$path.'/style/grafiken/cancel.gif" class="bilder" alt="'._ERROR2.'" /> 
					'._ERRORA.'';
					echo '</span>';
					foreach($error as $msg)
					{
					echo '<span class="mail_error">';
					echo '&raquo; &nbsp;'.$msg.' <br>';
					echo '</span>';
					}
				}
			}
			
			
echo '		<form action="modules.php?name='.$module_name.'" method="post"> ';
echo '		<div><input type="hidden" name="file" value="konto_edit" /></div> ';
echo '		<div><input type="hidden" name="id_kunde" value="'.(int)$kunde['id_kunde'].'" /></div> ';
			
echo '		<div class="mail_punkt">
				<b>'._KDNAM.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="k_nummer" value="'.htmlspecialchars($kunde['k_nummer']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
			</div>
		
			<div class="mail_feld">
				<input type="checkbox" name="kn_ok" value="1" /> 
				<input type="submit" name="kn_edit" value="'._ACCEDITNAME.'" class="button" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._EIGPASS.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="password" name="pw1" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._EIGPASSWH.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="password" name="pw2" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
			</div>
		
			<div class="mail_feld">
				<input type="checkbox" name="pw_ok" value="1" /> 
				<input type="submit" name="pw_edit" value="'._ACCEDITPASS.'" class="button" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._ANRE.'</b>
			</div>
		
			<div class="mail_feld">
				<select name="anrede" class="textfeld">
				<option value="'._FRAU.'"  ';
				if($kunde['k_anrede'] == ""._FRAU."") 
				echo 'selected="selected"';
				echo '> ';
				echo ''._FRAU.'';
				echo '</option> ';
				echo '<option value="'._HERR.'" ';
				if($kunde['k_anrede'] == ""._HERR."") 
				echo 'selected="selected"';
				echo '> ';
				echo ''._HERR.'';
				echo '</option>';
				echo '</select>
			</div> 	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._VN.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="v_name" value="'.htmlspecialchars($kunde['v_name']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._NN.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="n_name" value="'.htmlspecialchars($kunde['n_name']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>E-Mail:</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="email" value="'.htmlspecialchars($kunde['k_email']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._ADRES.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="adress" value="'.htmlspecialchars($kunde['k_anschrift']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._PLZ.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="plz" value="'.htmlspecialchars($kunde['k_plz']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._ORT.'</b>
			</div>

			<div class="mail_feld">
				<input type="text" name="ort" value="'.htmlspecialchars($kunde['k_ort']).'" class="textfeld" />
			</div>

			<div class="end_mail">
			</div> ';

echo '		<div class="mail_punkt">
				<b>'._KCOUNTRY.'</b>
			</div>

			<div class="mail_feld">
				<input type="text" name="kountry" value="'.htmlspecialchars($kunde['k_kountry']).'" class="textfeld" />
			</div>

			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">
				<b>'._TELEF.'</b>
			</div>
		
			<div class="mail_feld">
				<input type="text" name="tele" value="'.htmlspecialchars($kunde['k_tele']).'" class="textfeld" />
			</div>	
		
			<div class="end_mail">
			</div> ';
			
echo '		<div class="mail_punkt">	
			</div>
		
			<div class="mail_feld">
				<input type="checkbox" name="ud_ok" value="1" /> 
				<input type="submit" name="ud_edit" value="'._ACCEDIT.'" class="button" />
			</div>	
		
			<div class="end_mail">
			</div> ';
echo '		</form> ';
echo '	</div> ';
		
	}
	else
	{
		
echo '		  <div class="contend_head">
			  <div class="contend_head_left"></div>
			  <div class="contend_head_right"></div>
				  <h1 class="ch_text">'._MYKK.'</h1>
			  </div> ';

echo '		  <div class="cont_feld">
			     <div  style="font-size: 11px; font-family: Verdana, Helvetica, Arial, sans-serif; margin-bottom: 5px; color: #000000;"> ';
						   
						  echo '<h1 class="ch_text">'._LOGNO.'</h1>' ;
						  echo '<br /><br />';
						  echo ''._LOGNOT.'';
						 
echo '			  </div>
			  </div> ';
		
	}//ende else k_logged_in


echo '		</div> ';

echo '	<div id="navi_right"> ';
		
			if(!k_logged_in())
			{
				include('log_panel.php');
			}
			else
			{
				include('kunden_menu.php');
			}

				include('top_ten.php'); 
			
				include('index_wk.php'); 
			
echo '	</div> ';
echo '	<div id="ende_l"></div> ';		
echo '	<div id="ende_r"></div> ';


include('shop_footer.php');

echo '	</div> ';

CloseTable();
/*
-----------------------------------------------------------------------------------
	include datei um script in seite einzubinden
-----------------------------------------------------------------------------------
*/
include('footer.php');
?>