<?php

/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *
 * this file based on:
 *
 *	Lit - Shop: Version 0.2
 *	Author: Daniel Seelig
 *	Email: webdesign-seelig@gmx.de
 *	Homepage:http://www.lit-web.de
 *
 * This is a part of portretiert MxShop
 *
 * $Version: 1.0.2$
 * $Author: Michael Wei / comedi   http://www.mw-webservice.de  
 *          Toni Schlegel / Baldymani   http://www.Hate-on-Wheels.de  $
 * $Date: 2011/12/13 22:12$
 * 
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

// Variablen definieren
$module_name = basename(dirname(__FILE__));
$hose = "";
$schuh = "";
$gebtag = "";
$gebmon = "";
$gebjahr = "";
$bummi = "";
$auto = "";
$reh = "";
$bike = "";
$fenster = "";
$uhr = "";
$kountry = "";

//Sprachfile einbinden
mxGetLangfile($module_name);

// eigene Includes und Funktionen einbinden
require_once('modules/' . $module_name . '/includes/config.inc.php');
require_once('modules/' . $module_name . '/sess_prams.php');
require_once('modules/' . $module_name . '/includes/main.php');
require_once('modules/' . $module_name . '/includes/edits.php');
require_once('modules/' . $module_name . '/functions/function_bild.php');
require_once('modules/' . $module_name . '/functions/function_quotes.php');
require_once('modules/' . $module_name . '/functions/function_urlopt.php');
require_once('modules/' . $module_name . '/functions/function_log.php');

// eigene Style einbinden
pmxHeader::add_style('modules/' . $module_name . '/style/style.css');

//zeitstempel bei scriptstart setzen
$time_check = time();
/*
---------------------------------------------------------------------
	code fr die registrie formularauswertung
---------------------------------------------------------------------
*/
if(isset($_POST['regist']))
{
	//blacklist array fr spamverdacht erstellen
	$blacklist = array("fotze","wichser","wichsen","viagra","pillen","pillchen","porno","pornstar","sex","titten","ficken","gewonnen","nutten","sperma","lesben","inzest","hardcore","besamen","fisten","faustfick","anal","analfick","analsex","assfuck","rape","bdsm","spanking","pharma","pharmaerzuegnis","hure","bitch","schampe","fuck","swinger");
	//zurcklink im fehlerfall
	$link = '<a href="modules.php?name=' . $module_name . '&amp;file=regist">'._BGBACK.'</a>';
	//errorhandling starten
	$error = array();
	//beginn die variablen zur weiterverarbeitung zu erstellen
	//und variablen typisieren
	$anrede = (string)$_POST['anrede'];
	$hose = (string)$_POST['hose'];
	$schuh = (string)$_POST['schuh'];
	$igel = (string)$_POST['igel'];
	$fuchs = (string)$_POST['fuchs'];
	$bummi = (string)$_POST['bummi'];
	$auto = (string)$_POST['auto'];
	$bike = (string)$_POST['bike'];
	$fenster = (string)$_POST['fenster'];
    $kountry = (string)$_POST['kountry'];
	$uhr = (string)$_POST['uhr'];
	$gebtag = (string)$_POST['gebtag'];
	$gebmon = (string)$_POST['gebmon'];
	$gebjahr = (string)$_POST['gebjahr'];
	//prfen ob magic quotes on
	if(get_magic_quotes_gpc() && get_magic_quotes_runtime())
	{
		$anrede = stripslashes($anrede);
		$hose = stripslashes($hose);
		$schuh = stripslashes($schuh);
		$igel = stripslashes($igel);
		$fuchs = stripslashes($fuchs);
		$bummi = stripslashes($bummi);
		$auto = stripslashes($auto);
		$bike = stripslashes($bike);
		$fenster = stripslashes($fenster);
        $kountry = stripslashes($kountry);
		$uhr = stripslashes($uhr);
		$gebtag = stripslashes($gebtag);
		$gebmon = stripslashes($gebmon);
		$gebjahr = stripslashes($gebjahr);
	}
	//zeitabhngige daten prfen (spamschutz)
	if(isset($_POST['zeit']) =="")
	{
		$error['date_fehlt'] =''._ERRORDATE.'';
	}
	elseif(!is_numeric($_POST['zeit']))
	{
		$error['date_manu'] =''._ERRORFEL.'';
	}
	elseif(intval($_POST['zeit']) > $time_check-20)
	{
		$error['time_check'] =''._ERRORTEMP.'';
	}
	//postfelder gegen blacklist prfen (spamschutz)
	$post_array = array($hose,$schuh,$reh,$igel,$fuchs,$bummi,$auto,$bike,$uhr,$fenster,$kountry);
	foreach($post_array as $post)
	{
		//blacklist array durchlaufen
		foreach($blacklist as $fund)
		{
			//auswertung machen
			$pos = stripos($post,$fund);
			if($pos !== false)
			{
				$error['spam'] = ''._REGSPAM.'';
			}
		}
	}
	//prfen ob der spamschutzcode korrekt ausgefllt wurde
	if($_SESSION['resultat'] != $_POST['code'])
	{
		$error['code'] = ''._NOTSPAMCO.'';
	}
	//prfen ob vorm absenden die agb aktzeptier wurden (haken setzen)
	if(isset($_POST['agb']) != 1)
	{
		$error['agb'] = ''._REGAGBOK.'';
	}
	//prfen der anrede auf zeichen
	if(!preg_match("#^([a-z]+)$#si",$anrede))
	{
		$error['anrede'] = ''._REGANREDE.'';
	}
	//vornamen auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$hose))
	{
		$error['vname'] = ''._REGVORNAME.'';
	}
	//nachnamen auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$schuh))
	{
		$error['nname'] = ''._REGNACHNAME.'';
	}
	//tag des geburtsdatums prfen
	if(!preg_match("#[0-9]{2}#",$gebtag))
	{
		$error['gebtag'] = ''._REGBIRTHDAYDAY.'';
	}
	//monat des geburtsdatums prfen
	if(!preg_match("#[0-9]{2}#",$gebmon))
	{
		$error['gebmon'] = ''._REGBIRTHDAYMONTH.'';
	}
	//jahr des geburtsdatums prfen
	if(!preg_match("#[0-9]{4}#",$gebjahr))
	{
		$error['gebjahr'] = ''._REGBIRTHDAYYEAR.'';
	}
	//prfen ob zuflliges passwort erstellen gewhlt wurde und eins erstellen
	if(isset($_POST['zpw']) ==1)
	{
		//10 zeichen
		function CreatePW($length1 = 10)
		{
			$char1 = array_merge(
				range(0, 9),
				range("a", "z"),
				range("A", "Z")
			);
				shuffle($char1);
				return implode('', array_slice($char1, 0, $length1));
		}
		$igel = (string)CreatePW();//zuflliges passwort
	}
	//ansonsten manulles passwort erstellen lassen
	else
	{
		//passwort 1 auf zeichen prfen
		if(!preg_match("#^([0-9a-z _-]{5,12}+)$#si",$igel))
		{
			$error['pw1'] = ''._REGPASS1.'';
		}
		//passwort 1 auf zeichen prfen
		if(!preg_match("#^([0-9a-z _-]{5,12}+)$#si",$fuchs))
		{
			$error['pw1'] = ''._REGPASS2.'';
		}
		//prfen ob beide passwrter bereinstimmen
		if($igel != $fuchs)
		{
			$error['pws'] = ''._REGPASS3.'';
		}
	}
	//anschrift auf zeichen prfen
	if(!preg_match("#^([0-9a-z \.\/_-]+)$#si",$auto))
	{
		$error['auto'] = ''._REGANSCHRIFT.'';
	}
	//plz auf zeichen und lnge prfen
	if(!preg_match("#[0-9]{4,5}#",$bike))
	{
		$error['plz'] = ''._REGPLZ.'';
	}
	//ortsangabe auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$fenster))
	{
		$error['ort'] = ''._BGERRORORT.'';
	}
    //Lnderangabe auf zeichen prfen
	if(!preg_match("#^([0-9a-z _-]+)$#si",$kountry))
	{
		$error['ort'] = ''._BGERRORORT.'';
	}
	//telefon auf zeichen und lnge prfen
	if(!empty($uhr) && !preg_match("/^[0-9-()\s\/+.]*$/",$uhr))
	{
		$error['tele'] = ''._ERRORKDTEL.'';
	}
	//variablen abschliesend sichern und prfen
	$anrede = trim(htmlentities(strip_tags($anrede)));
	$hose = trim(htmlentities(strip_tags($hose)));
	$schuh = trim(htmlentities(strip_tags($schuh)));
	$igel = trim(htmlentities(strip_tags($igel)));
	$fuchs = trim(htmlentities(strip_tags($fuchs)));
	$bummi = trim(htmlentities(strip_tags($bummi)));
	$auto = trim(htmlentities(strip_tags($auto)));
	$bike = trim(htmlentities(strip_tags($bike)));
	$fenster = trim(htmlentities(strip_tags($fenster)));
    $kountry = trim(htmlentities(strip_tags($kountry)));
	$uhr = trim(htmlentities(strip_tags($uhr)));
	$gebtag = trim(htmlentities(strip_tags($gebtag)));
	$gebmon = trim(htmlentities(strip_tags($gebmon)));
	$gebjahr = trim(htmlentities(strip_tags($gebjahr)));
	//wenn keine fehler gefunden wurden dann eintragen in die db
	//und email an den kunden schicken
	if(!$error)
	{
		//zufllige kundennummer erstellen auch (freischalt code)
		//10 zeichen
		function CreateKundenKummer($length1 = 10)
		{
			$char1 = array_merge(
				range(0, 9),
				range("a", "z"),
				range("A", "Z")
			);
				shuffle($char1);
				return implode('', array_slice($char1, 0, $length1));
		}
		$k_number = (string)CreateKundenKummer();//kundennummer
		
		//eintrag in die DB machen
		$sqlbefehl ="
					Insert Into ".$prefix."_shop_kunden
							(
								geb_datum,
								k_pw,
								k_email,
								k_anschrift,
								k_plz,
								k_ort,
                                k_kountry,
								k_anrede,
								v_name,
								n_name,
								k_nummer,
								k_tele
							)
					VALUES
							(
								'".mysql_real_escape_string($gebtag.'.'.$gebmon.'.'.$gebjahr)."',
								'".mysql_real_escape_string(md5($igel))."',
								'".mysql_real_escape_string($bummi)."',
								'".mysql_real_escape_string($auto)."',
								'".mysql_real_escape_string($bike)."',
								'".mysql_real_escape_string($fenster)."',
                                '".mysql_real_escape_string($kountry)."',
								'".mysql_real_escape_string($anrede)."',
								'".mysql_real_escape_string($hose)."',
								'".mysql_real_escape_string($schuh)."',
								'".mysql_real_escape_string($k_number)."',
								'".mysql_real_escape_string($uhr)."'
							)
					";
		$res_reg = mysql_query($sqlbefehl)or die(mysql_error().$sqlbefehl);
		
		//varaibelen fr den email versand zum kunden erstellen
		$empfaenger = $bummi;
		$betreff .=""._REGMAIL1." ".$setup['shop_titel']."!";
		$mailtext .=""._REGMAIL2." ".$anrede." ".$hose." ".$schuh."!\n";
		$mailtext .=""._REGMAIL3." ".$setup['shop_titel']." "._REGMAIL4."\n";
		$mailtext .=""._REGMAIL5."\n";
		$mailtext .=""._REGMAIL6."\n\n";
		$mailtext .="-------------------------------------------------------------------------\n";
		$mailtext .=""._REGMAIL7."\n";
		$mailtext .=""._REGMAIL8."\n";
		$mailtext .="-------------------------------------------------------------------------\n";
		$mailtext .=""._KDNR." ".$k_number."\n";
		$mailtext .=""._REGMAIL9." ".$igel."\n\n";
		$mailtext .=""._REGMAIL10."\n\n";
		$mailtext .=""._REGMAIL11."\n\n";
		$mailtext .=PMX_HOME_URL . "/modules.php?name=MxShop&file=active&k_nummer=".$k_number."\n\n";
		$mailtext .=""._REGMAIL12."";
		$header .=''._REGMAIL13.' '.$setup['shop_titel'].'' . "\n";
		$header .='MIME-Version: 1.0' . "\n";
		$header .='Content-type: text/plain; charset="iso-8859-1"' . "\n";
		//mail erstellen
		mail($empfaenger,$betreff,$mailtext,$header);
		
		header("Location: modules.php?name=".$module_name."");
		exit();
	}//ende nicht $error
}//ende post regist

/*
---------------------------------------------------------------------
	funktion fr das erstellen einer gleichung zum spamschutzcode
---------------------------------------------------------------------
*/
function generate_gleichung($length1 = 2)
{
    $char1 = array_merge(
        range(1, 9)//Nur Zahlen 1-9 also keine 0
    );

    shuffle($char1);

    return implode('', array_slice($char1, 0, $length1));
}
//Ersten Gleichungsteil erstellen
$teil1 = generate_gleichung(rand(2,2));//Erster Gleichungsteil min 2 Zeichen max. 4 Zeichen
//Ersten Gleichungsteil erstellen
$teil2 = generate_gleichung(rand(2,2));//Erster Gleichungsteil min 2 Zeichen max. 4 Zeichen
//Ergebnis in Session speichern
$_SESSION['resultat'] = $teil1 + $teil2;//Ergebnis der Gleichungsteile errechnen
//string frs Bild
$string = $teil1."+".$teil2;

/*
-----------------------------------------------------------------------------------
	HIER BEGINNT DIE AUSGABE
-----------------------------------------------------------------------------------
	include datei um script in PMX einzubinden
-----------------------------------------------------------------------------------
*/

include('header.php');

/*
----------------------------------------------------------------------------------
	Beginn der Shopausgabe
----------------------------------------------------------------------------------
*/

OpenTable();

echo '	<div id="center"> ';

/*
----------------------------------------------------------------------------------
	Header des Shops einbinden
----------------------------------------------------------------------------------
*/

require_once('shop_header.php');

/*
----------------------------------------------------------------------------------
	Shop - Content
----------------------------------------------------------------------------------
*/

echo '    <div id="navi_left"> ';

			include('cat_menu.php'); 
		
			include('wae_wahl.php'); 

			include('count_menu.php'); 
        
echo '	  </div> ';
	
echo '	  <div id="contend"> ';
		  
echo '		  <div class="contend_head">
			  <div class="contend_head_left"></div>
			  <div class="contend_head_right"></div>
				  <h1 class="ch_text">'._KDREG.'</h1>
			  </div> ';
		  
echo '		  <div class="cont_feld"> ';
			 
			  if(isset($_POST['regist']))
			  {
				  if(count($error) > 0)
				  {
					  echo '<span class="mail_us_error">';
					  echo ' <img src="'.$path.'/style/grafiken/cancel.gif" class="bilder" alt="'._ERROR2.'" /> 
					  '._ERRORA.'';
					  echo '</span>';
					  foreach($error as $msg)
					  {
						  echo '<span class="mail_error">';
						  echo '&raquo; &nbsp;'.$msg.' <br>';
						  echo '</span>';
					  }
				  }
			  } 
			  
echo '		  <form action="modules.php?name=MxShop&amp;file=regist&amp;regist" method="post"> ';
	       		//<input type="hidden" name="name" value="My_Shop" />
echo '		  <div>
			  	<input type="hidden" name="zeit" value="'.$time_check.'" />
			  </div> ';
			  
echo '		  <div  style="font-size: 11px; font-family: Verdana, Helvetica, Arial, sans-serif; margin-bottom: 5px; color: #000000;">
			  	'._KDREGCONT.'
			  </div>	
			  
			  <div class="mail_punkt">
				  '._ANRE.'
			  </div>
		  
			  <div class="mail_feld">
				  <select name="anrede" class="kont_tf">
					  <option>-----------</option>
					  <option value="'._FRAU.'">'._FRAU.'</option>
					  <option value="'._HERR.'">'._HERR.'</option>
				  </select> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._VN.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="hose" value="'.htmlspecialchars($hose).'" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._NN.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="schuh" value="'.htmlspecialchars($schuh).'" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._GDATE.'
			  </div>
		  
			  <div class="mail_feld">
			   <input type="text" name="gebtag" value="'.$gebtag.'" class="kont_tf" style="width: 20px;" maxlength="2" /> *
			   <input type="text" name="gebmon" value="'.$gebmon.'" class="kont_tf" style="width: 20px;" maxlength="2" /> *
			   <input type="text" name="gebjahr" value="'.$gebjahr.'" class="kont_tf" style="width: 30px;" maxlength="4" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._ZPASS.'
			  </div>
			  
			  <div class="mail_feld">
				  <input type="checkbox" name="zpw" value="1" />
				  	'._ZPASSEMP.'
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._EIGPASS.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="password" name="igel" class="kont_tf" />
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._EIGPASSWH.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="password" name="fuchs" class="kont_tf" />
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._EMAIL.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="bummi" value="'.htmlspecialchars($bummi).'" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._ADRES.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="auto" value="'.htmlspecialchars($auto).'" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._PLZ.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="bike" value="'.htmlspecialchars($bike).'" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._ORT.'
			  </div>

			  <div class="mail_feld">
				  <input type="text" name="fenster" value="'.htmlspecialchars($fenster).'" class="kont_tf" /> *
			  </div>

			  <div class="end_mail">
			  </div> ';

echo '		  <div class="mail_punkt">
				  '._KCOUNTRY.'
			  </div>

			  <div class="mail_feld">
				  <input type="text" name="kountry" value="'.htmlspecialchars($kountry).'" class="kont_tf" /> *
			  </div>

			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._TELEF.'
			  </div>
		  
			  <div class="mail_feld">
				  <input type="text" name="uhr" value="'.htmlspecialchars($uhr).'" class="kont_tf" />
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="spam_tf">
				  '._NOTFULL.'
			  </div>
		  
			  <div class="spam_tf">
				  <input type="text" name="email" class="kont_tf" />
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="spam_tf">
				  '._NOTFULL.'
			  </div>
		  
			  <div class="spam_tf">
				  <input type="text" name="url" class="kont_tf" />
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
			  
echo '		  <div class="mail_punkt">
				  '._SPAM.'
			  </div>
		  
			  <div class="mail_feld">
				  '.$string.' = <input type="text" name="code" style="width: 30px;" class="kont_tf" /> *
			  </div>	
		  
			  <div class="end_mail">
			  </div> ';
		  
echo '		  <div style="font-size: 11px; font-family: Verdana, Helvetica, Arial, sans-serif; margin-bottom: 5px; color: #000000;">
				  '._AGBAKZ.'
				  <input type="checkbox" name="agb" value="1" /> 
				  <input type="submit" name="regist" value="'._REGREG.'" class="kont_bt" />
			  </div> ';	
			  
echo '		  </form>
			  
			  </div>
					  
		  </div> ';
	  
		  
		  
echo '	  <div id="navi_right"> ';
		  
			  include('log_panel.php'); 
			  
			  include('top_ten.php'); 
			  
			  include('index_wk.php'); 
			  
echo '	  </div>

		  <div id="ende_l"> 
		  </div>
		  
		  <div id="ende_r"> 
		  </div>
		  
</div> ';

include('shop_footer.php');

CloseTable();
/*
-----------------------------------------------------------------------------------
	include datei um script in seite einzubinden
-----------------------------------------------------------------------------------
*/
include('footer.php');
?>